package com.neusoft.smart.pos.trade.persistent.mapper;

import com.neusoft.smart.pos.trade.persistent.domain.BillMaster;
import com.neusoft.smart.pos.trade.persistent.domain.BillMasterExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface BillMasterMapper {
    int countByExample(BillMasterExample example);

    int deleteByExample(BillMasterExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(BillMaster record);

    int insertSelective(BillMaster record);

    List<BillMaster> selectByExample(BillMasterExample example);

    BillMaster selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") BillMaster record, @Param("example") BillMasterExample example);

    int updateByExample(@Param("record") BillMaster record, @Param("example") BillMasterExample example);

    int updateByPrimaryKeySelective(BillMaster record);

    int updateByPrimaryKey(BillMaster record);

    void batchInsert(@Param("items") List<BillMaster> items);
}